#include "sfilterprocess.h"
#include <QCoreApplication>
int main(int argc, char *argv[])
{    
    QCoreApplication a(argc,argv);
    cout << "build date : ";
    cout << QLocale("en_US").toDate(QString(__DATE__).simplified(), "MMM d yyyy").toString("yyyy-MM-dd").toStdString();
    cout << " ";
    cout << QString(__TIME__).toStdString() << endl;
    if (argc != 3)
    {
        cout << "Error : Argument " << endl;
        return 0;
    }
    {

    }
    SFilterProcess *process = new SFilterProcess;    
    if (process->ReloadSetup())
        process->run(argv[1],argv[2]);
    else
        cout << "Error : Setup.ini not read" << endl;
    delete process;
    return 0;
}
